Subject: bug#45665: IceCat canvas glitch (byte order issue?)

From: raingloom <[email-masked]>
Date: Tue, 5 Jan 2021 00:12:25 +0100

See attached image.
Taken from:
https://webassembly.sh/?run-command=wapm%20install%20caputomarcos/[email-masked]

Also saw a similar issue while trying to upload images to the
merveilles.town Mastodon server. The image would have similar diagonal
lines that were all of the same maybe 2-4 colors and each about 1 pixel
wide.

I haven't touched JavaScript and the canvas element in a looong time,
so I might be wrong, but my suspicion is that rendering images to it is
what causes the issue.